Module java.desktop
Package javax.swing.plaf.basic

## Class BasicMenuItemUI.MouseInputHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicMenuItemUI.MouseInputHandler

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`

Enclosing class:
  BasicMenuItemUI

    protected class BasicMenuItemUI.MouseInputHandler
    extends Object
    implements MouseInputListener

Mouse input handler

### Constructor Summary

Constructors
`protected` `MouseInputHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

### Methods declared in interface java.awt.event.MouseMotionListener

`mouseDragged, mouseMoved`

### Constructor Detail

#### MouseInputHandler

    protected MouseInputHandler()